Subject: [PWE3] Ethernet PW congestion control draft

From: Yaakov Stein <[email-masked]>
Date: Wed, 1 Jul 2009 17:02:53 +0300

Hi all,

As promised in San Francisco, I have posted a draft detailing the handling of congestion
for Ethernet PWs.

Y(J)S

Filename:   draft-stein-pwe3-ethpwcong

Revision:   00

Title:            Ethernet PW Congestion Handling Mechanisms

Creation_date:    2009-07-01

WG ID:            Independent Submission

Number_of_pages: 7

Abstract:
Mechanisms for handling congestion in Ethernet pseudowires are presented.
These mechanisms extend capabilities of the native service across the PSN, and require use of the PWE3 control word.

---

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 1 Jul 2009 17:51:29 +0300

Yaakov,
I've read the draft and I have a couple of questions.

 1.  Dummy PW packets for BECN
    *   The draft states that these packets must have their BECN bit set in the CW, but the LEN field in the CW must be set to 0 to indicate that they do not carry any data.
    *   However, the semantics of the LEN field as defined in RFC 4385 uses the 0 value to indicate that the MPLS payload size is greater than or equal to 64 bytes. Hence, for an Ethernet PWs using the CW, the LEN field will be always set to zero (since MPLS payload is at least 64 bytes)
 2.  Ingress PE action on received BECN
    *   The draft says that, where applicable, the ingress PE, upon receiving a PW packet with the BECN set,. SHOULD send PAUSE frames or apply backpressure (presumably on half-duplex links) towards its adjacent CE
    *   This proposal looks to me :
       *   Incomplete: Ethernet PAUSE frames as defined in IEEE 802.3-2005, Annex 31B "MAC Control PAUSE Operation" carry the pause-time value (16bits). You did not specify which value of this parameter should be used
       *   Problematic in the situations when multiple Ethernet PWs in the ingress PE are originated on service-delimiting VLANs in the same port. PAUSE, when app[lied, will stop ALL these VLANs, and not just one that is associated with the congested PW. Of course, this equally applies to backpressure in the case of half-duplex ports.
 3.  DEI interworking between the PW and AC
    *   The draft says that egress PE MUST copy the DEI bit from the CW to the Q-in-Q header (if such is used) of the Ethernet frame it sends towards its adjacent CE
    *   IMHO MUST is too strong here: please take into account, that pre-802.1ad HW would treat the DEI bit in the VLAN tag as the (obsoleted) CFI bit and would simply discard all frames with such a bit set. One may say that such an action does not contradict the DEI semantics, but I would prefer not to extedn the notion of "discard eligibility" that far. A configurable option looks better to me.

Hopefully these notes will be useful.

Regards,
     Sasha

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Yaakov Stein
Sent: Wednesday, July 01, 2009 5:03 PM
To: [email-masked]
Subject: [PWE3] Ethernet PW congestion control draft

Hi all,

Y(J)S

Revision:   00

Number_of_pages: 7

Abstract:

---

From: Yaakov Stein <[email-masked]>
Date: Wed, 1 Jul 2009 22:07:38 +0300

Sasha

Thanks.

You comments are very useful as usual.

I'll change the length field to something small.

We can discuss the other issues.

Y(J)S

From: Alexander Vainshtein [mailto:[email-masked]]
Sent: Wednesday, July 01, 2009 17:51
To: Yaakov Stein
Cc: [email-masked]
Subject: RE: Ethernet PW congestion control draft

Yaakov,

Regards,
     Sasha

Y(J)S

Revision:   00

Number_of_pages: 7

Abstract: